Bug 820630 - String Updates
String Updates
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Bryan Kearney
John Sefler
: Triaged
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2012-05-10 10:28 EDT by Matt Reid
Modified: 2014-09-18 11:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The words 'canceled', 'Could' and 'UUID' were misspelled in the candlepin strings PO file. The spelling has been corrected. Misspellings should not appear on the file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:45:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2012-05-10 10:28:44 EDT
Description of problem:
Looking through the PO file with all of the strings, it looks like there are a few that are misspelled. 

There's one instance of cancelled, 2 instances of Cound, and 2 instances of uuid (compared to 4 UUID, which is what it should be).

Version-Release number of selected component (if applicable):
I pulled the PO file a few weeks ago, but my guess is these still exist.

Additional info:
Comment 1 Bryan Kearney 2012-06-18 10:43:07 EDT
Fixed in master at:

d4a46dc1eb55676f4a071e0cf60e51f2e80ee977

The po files will not get updated untitl the end of the sprin. To verify, scan the code for these terms:

uid
Cound
cancelled

and you should not see any.
Comment 3 John Sefler 2012-10-10 15:51:28 EDT
Verifying Version...
[root@jsefler-f14-candlepin po]# git branch
* master
[root@jsefler-f14-candlepin po]# git show-ref | grep master
52bf32ba59f454a9bb857d2b2b717560fce16100 refs/heads/master


[root@jsefler-f14-candlepin po]# ls
as.po     de_DE.po  fr.po  hi.po  ja.po     kn.po  ml.po  or.po  pt_BR.po  ta_IN.po  zanata.xml  zh_TW.po
bn_IN.po  es_ES.po  gu.po  it.po  keys.pot  ko.po  mr.po  pa.po  ru.po     te.po     zh_CN.po

[root@jsefler-f14-candlepin po]# grep -i "Could" *.po | wc -l
336
[root@jsefler-f14-candlepin po]# grep -i "Cound" *.po | wc -l
0

^ VERIFIED: Typo "Cound" has been eliminated.


[root@jsefler-f14-candlepin po]# grep -i "canceled" *.po | wc -l
21
[root@jsefler-f14-candlepin po]# grep -i "cancelled" *.po | wc -l
0

^ VERIFIED: Typo "cancelled" has been eliminated.
Comment 4 John Sefler 2012-10-10 15:56:58 EDT
[root@jsefler-f14-candlepin po]# pwd
/root/candlepin/po
[root@jsefler-f14-candlepin po]# grep "uid" fr.po -B1 -A1
msgid ""
"You must specify one of owner key, consumer uuid, or principal name, but not"
" all."

^^^^^ THIS MSGID STILL CONTAINS A LOWER CASE "uuid".  ALL OTHER MSGIDs USE AN UPPERCASE "UUID".

Moving back to ASSIGNED.
Comment 5 Bryan Kearney 2012-10-22 09:55:49 EDT
Not a blocker, given that all the translations are in. Moving this to 2.0.
Comment 6 Bryan Kearney 2012-10-22 11:52:02 EDT
fixed in master at e26d273b9660d9db520b655ea00f8cdb5795ca28
Comment 8 errata-xmlrpc 2012-12-04 14:45:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 9 Mike McCune 2013-08-16 14:23:55 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.